Index: trunk/data/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_fls.php	(revision 95)
+++ trunk/data/mapbender/http/nav/alkisnav_fls.php	(revision 105)
@@ -5,9 +5,10 @@
 	12.04.2011 epsg in Link, transform nur wenn notwendig
 	12.05.2011 Syntaxfehler in SQL
+	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
 */
 import_request_variables("PG");
 include("../../conf/alkisnav_conf.php");
-$con_string = "host=".$host." port=".$port." dbname=".$dbname.$gkz." user=".$user." password=".$password;
-$con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$dbname);
+$con_string = "host=".$host." port=".$port." dbname=".$dbname.$dbvers.$gkz." user=".$user." password=".$password;
+$con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$dbname.$dbvers.$gkz);
 ?>
 
Index: trunk/data/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_eig.php	(revision 95)
+++ trunk/data/mapbender/http/nav/alkisnav_eig.php	(revision 105)
@@ -3,9 +3,10 @@
 	13.01.2011 
 	11.04.2011 epsg in Link, transform nur wenn notwendig
+	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
 */
 import_request_variables("PG");
 include("../../conf/alkisnav_conf.php");
-$con_string = "host=".$host." port=".$port." dbname=".$dbname.$gkz." user=".$user." password=".$password;
-$con = pg_connect ($con_string) or die ("<p class='err'>Fehler bei der Verbindung zur Datenbank</p>".$dbname);
+$con_string = "host=".$host." port=".$port." dbname=".$dbname.$dbvers.$gkz." user=".$user." password=".$password;
+$con = pg_connect ($con_string) or die ("<p class='err'>Fehler bei der Verbindung zur Datenbank</p>".$dbname.$dbvers.$gkz);
 // ToDo: Buchung zwischen Blatt und Flst?
 ?>
Index: trunk/data/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_adr.php	(revision 95)
+++ trunk/data/mapbender/http/nav/alkisnav_adr.php	(revision 105)
@@ -5,9 +5,13 @@
 	z.B. Wasserverband zustaendig fuer: &gemeinde=12,20,24,28,32
 	11.04.2011 epsg in Link, transform nur wenn notwendig
+	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
+
+	ToDo: Mouse-Over in StraÃenliste soll Position zeigen,
+		dazu in der DB eine Tabelle mit Koordinate zum StraÃenschlÃŒssel aufbauen. 
 */
 import_request_variables("PG");
 include("../../conf/alkisnav_conf.php");
-$con_string = "host=".$host." port=".$port." dbname=".$dbname.$gkz." user=".$user." password=".$password;
-$con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$dbname);
+$con_string = "host=".$host." port=".$port." dbname=".$dbname.$dbvers.$gkz." user=".$user." password=".$password;
+$con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$$dbname.$dbvers.$gkz);
 ?>
 
@@ -178,5 +182,9 @@
 		$gemnd=$row["gemeinde"];
 		$gemname=htmlentities($row["gemname"], ENT_QUOTES, "UTF-8");
-		$nr=ltrim($row["lage"], "0");
+		if ($dbvers=="05") { // 2011-07-25
+			$nr=ltrim($row["lage"], "0");
+		} else { // >= PostNAS 0.6
+			$nr=$row["lage"];
+		}
 
 		if ($showParent) {
@@ -184,5 +192,4 @@
 			// ax_Flurstueck  >zeigtAuf>  ax_LagebezeichnungOhneHausnummer
 			$sqlko ="SELECT ";		
-
 			if($epsg == "25832") { // Transform nicht notwendig
 				$sqlko.="x(st_Centroid(f.wkb_geometry)) AS x, ";
Index: trunk/data/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 95)
+++ trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 105)
@@ -4,9 +4,10 @@
 	12.04.2011 epsg in Link, transform nur wenn notwendig, 
 	neue Suchstrategie bei Leer-Eingabe (Liste Amtsgerichte), Icon GB-Bez.
+	25.07.2011 PostNAS 0.5/0.6 Versionen unterscheiden
 */
 import_request_variables("PG");
 include("../../conf/alkisnav_conf.php");
-$con_string = "host=".$host." port=".$port." dbname=".$dbname.$gkz." user=".$user." password=".$password;
-$con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$dbname);
+$con_string = "host=".$host." port=".$port." dbname=".$dbname.$dbvers.$gkz." user=".$user." password=".$password;
+$con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$dbname.$dbvers.$gkz);
 ?>
 
Index: trunk/data/mapbender/conf/alkisnav_conf.php
===================================================================
--- trunk/data/mapbender/conf/alkisnav_conf.php	(revision 95)
+++ trunk/data/mapbender/conf/alkisnav_conf.php	(revision 105)
@@ -1,20 +1,22 @@
 <?php
 # Einstellungen fuer Mapbender-Navigation mit ALKIS-Daten
-# ALKIS-PostGIS-Datenbank aus Konverter PostNAS 0.5
-# krz Mi.-Ra./Li. 2010-11-17
+# ALKIS-PostGIS-Datenbank aus Konverter PostNAS 0.5/0.6
+# krz Mi.-Ra./Li. 2011-07-26
 
 # DB-Connection
 $host="localhost";
 $port="5432";
-$dbname="alkis05"; // .$gkz - Mandant
+$dbname="alkis";	// .$dbvers.$gkz - Mandant
+$dbvers="06";		// 05 oder 06 (steuert Format von .lage)
 $user="***";
-$password="****";
+$password="***";
 
-# Pfad zu den ALKIS-Auskunft-Programmen
-$auskpath="../../../intern/";
+# Pfad zu den ALKIS-Auskunft-Programmen  TEST !!!
+$auskpath="../../../intern/test/";
 
 # Massstab zum Positionieren auf Flurstueck, Strasse, Hausnummer
+# in MapProxy gecachte Masstaebe verwenden
 $scalefs=750;
-$scalestr=2000;
+$scalestr=2500;
 $scalehs=500;
 
@@ -26,5 +28,5 @@
 # Form: WHERE IN ()
 # Bei leerer Eingabe in Tab 'Grundb.'
-$ag_liste = "'2491','2408'";
+$ag_liste = "'2102','2105','2106','2107','2108','2110','2303','2307'";
 
 # Entwicklungsumgebung
